stereoskopické mplayer-1.1-r1

Nedávno nové mplayer-1.1-r1 ebuild objevil v portage. V článku stereoskopické mplayer-1.0_rc4_p20110322 I za předpokladu, upravený patch pro stereoskopické podporu v mplayer-1.0_rc4_p20110322. Tato oprava nefunguje s aktuální verzí už. Nicméně, bylo zapotřebí jen menší oprava. Chcete-li použít novou náplast, jen si jej stáhnout zde: mplayer-stereoskopické-1.1-r1.patch (594) a zkopírujte jej do:

/etc/portage/patches/media-video/mplayer-1.1-r1/

Poté se objeví MPlayer a hrát stereoskopické filmy s:

mplayer -vo gl2: stereo some_movie_file.avi

Mithrandir

1 Star2 Stars3 Stars4 Stars5 Stars (Nehodnoceno)
Loading ... Načítá se ...

FlightGear-2.8.0 s quad buffered stereo

 Flightgear 2.8.0 with quad buffered stereo

V článku FlightGear s quad buffered stereo jsem psal o tom, jak se dostat quad buffered stereo spolupracovat se slavným leteckého simulátoru FlightGear . Nedávno FlightGear-2.8.0 byla uvolněna. Problém s čtyřnásobnou vyrovnávací pamětí a stereo přetrvává s FlightGear-2.8.0.

Jedna předpokládá, že k tomu, aby stereoskopický režim v FlightGear začíná s následující řádek:

export OSG_STEREO_MODE = QUAD_BUFFER, export OSG_STEREO = ON; FGF

Při spuštění FlightGear tímto způsobem, dostane se následující výstup na konzoli a ne stereoskopické zobrazení:

Upozornění: zjištěna OpenGL chyba "Neplatná operace" po RenderBin :: draw (,)

Získání FlightGear pracovat s quad-buffered stereo

Důvodem pro výše uvedené chybové zprávy a následné rozbité stereofonním režimu je, že stereo kontext nedostane správně inicializován. Podrobnosti jsou popsány zde: FlightGear se čtyřnásobnou vyrovnávací pamětí a stereo . Bohužel náplast jsem navrhl ve zmíněné funkci nefunguje pro FlightGear-2.8.0. Nicméně, dobrá zpráva je, že vyžaduje pouze mírné změny, soubor WindowBuilder.cxx Už tedy není v src / Main, ale v adresáři / src prohlížeče. Zde si můžete stáhnout novou náplast zde: FlightGear-2.8.0-stereoscopic.patch (745)

Doufejme, že patch najde cestu do dalšího FlightGear vydání.

Jak je zvykem u quad buffered stereo, budete muset použít profesionální grafickou kartou, která podporuje quad buffered stereo, jako NVIDIA Quadro FX nebo Ati FireGL a správné grafického hardwaru, jako jsou brýle závěrky, a HMD nebo stereoskopické projekčního systému, využívat za to. Chcete-li použít quad buffered stereo režimu START FlightGear s proměnnými prostředí výše uvedených. Poté budete pravděpodobně muset povolit quad buffered stereo režim výběru Stereoscopic Zobrazit položku Options v nabídce Zobrazit.

Gentoo cesta

Pro uživatele gentoo jsem vytvořil šablonu. Stejně jako předchozí vydání obsahuje opravy a modifikované ebuilds pro FlightGear s pracovní podporu quad vyrovnávací paměti. Můžete získat překrytí zde: FlightGear-2.8.0 překrývání (654) Stáhněte si šablonu a rozbalte ho do adresáře / usr / local / portage. Ujistěte se, že jsou následující řádek v souboru /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Pak se objeví FlightGear a užijte si to ve třech rozměrech.

Bavte se

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Nehodnoceno)
Loading ... Načítá se ...

glsldevil binární soubory

Asi před rokem jsem psal o OpenGL / GLSL ladicí glsldevil v článku gentoo ebuild pro glsldevil-1.1.5 a za předpokladu, Gentoo ebuild pro něj. Bohužel glsldevil nezdá být k dostání na webových stránkách univerzity ve Stuttgartu ( http://cumbia.informatik.uni-stuttgart.de/glsldevil/ ), která zaujala ebuild k ničemu.

Edit 29/5/2012: původní místo stahování na univerzitě ve Stuttgartu je opět k dispozici.

Vzhledem k tomu, licence glsldevil umožňuje redistribuci, jsem se rozhodl nahrát svou lokální kopii, aby se znovu glsldevil k dispozici pro veřejnost. Bohužel to jsou pouze binární soubory Linux (32bit a 64bit) a ani binární soubory systému Windows, nebo zdrojový kód.

Zde si můžete stáhnout binární soubory Linux zde: glsldevil-1.1.5.tar.gz (756)

Pro použití s ​​ebuild, stačí zkopírovat soubor do adresáře / usr / portage / distfiles /.

S pozdravem
Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (1 hlasů, průměr: 5.00 z 5)
Loading ... Načítá se ...

nvidia-drivers-295,17 vyřešit problém černé obrazovky

Pomocí nvidia ovladače pro systém Linux od verze 270.X na 275.X s některými grafickými kartami, v příkladu Quadro FX 350M, který je zabudován do Dell Precision M65 notebook, vyústil v černou obrazovku nebo v okně pro OpenGL aplikace. Dokonce i glxgears dělal vystupovat pouze černé okno. Tento problém byl projednán na forums.opensuse.org . Downgradovat na nižší verzi ovladače, a například 260.X ovladače verze už není potřebné, protože tyto ovladače se tečka postavit proti nedávné linux-3 jádra. Upgrade na novější ovladače také nebylo možné, protože verze ovladačů z 285.X do 295,10 nefungovala vůbec pro tento grafické karty. Nedávno verze 295,17 ovladače nvidias beta je k dispozici, který řeší tento problém. Odkazy na stažení jsou k dispozici na nvnews.net .

Pro uživatele gentoo jsem upravil nvidia-drivers ebuild pro řidiče 295,17. Zde si můžete stáhnout moje upravené Overlay nvidia-drivers-295.17.tar.gz (356) a rozbalte ho do adresáře / usr / local / portage. Ujistěte se, že jsou následující řádek v souboru /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Poté můžete objevit nvdidia-drivers-295,17.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Nehodnoceno)
Loading ... Načítá se ...

FlightGear-2.4.0 s quad buffered stereo

 Flightgear 2.4.0 with quad buffered stereo

V poště FlightGear s quad buffered stereo jsem psal o tom, jak se dostat quad buffered stereo pracovat s slavný letecký simulátor FlightGear . Nedávno FlightGear-2.4.0 byla uvolněna. Problém s čtyřnásobnou vyrovnávací pamětí a stereo přetrvává s FlightGear-2.4.0.

Jedna předpokládá, že k tomu, aby stereoskopický režim v FlightGear začíná s následující řádek:

export OSG_STEREO_MODE = QUAD_BUFFER, export OSG_STEREO = ON; FGF

Při spuštění FlightGear tímto způsobem, dostane se následující výstup na konzoli a ne stereoskopické zobrazení:

Upozornění: zjištěna OpenGL chyba "Neplatná operace" po RenderBin :: draw (,)

Získání FlightGear pracovat s quad-buffered stereo

Důvodem pro výše uvedené chybové zprávy a následné rozbité stereofonním režimu je, že stereo kontext nedostane správně inicializován. Podrobnosti jsou popsány zde: FlightGear se čtyřnásobnou vyrovnávací pamětí a stereo . Nicméně dobrou zprávou je, že náplast jsem navrhl ve zmíněné místo, stále pracuje s FlightGear-2.4.0. Zde si můžete stáhnout patch zde: FlightGear-2.0.0-stereoscopic.patch (792)

Jak je zvykem u quad buffered stereo, budete muset použít profesionální grafickou kartou, která podporuje quad buffered stereo, jako NVIDIA Quadro FX nebo Ati FireGL a správné grafického hardwaru, jako jsou brýle závěrky, a HMD nebo stereoskopické projekčního systému, využívat za to. Chcete-li použít quad buffered stereo režimu START FlightGear s proměnnými prostředí výše uvedených. Poté budete pravděpodobně muset povolit quad buffered stereo režim výběru Stereoscopic Zobrazit položku Options v nabídce Zobrazit.

S předchozí verzí, při použití quad buffered stereo režim v FlightGear, že došlo k nějaké grafické chyby. Některé ovládací prvky v kabině a další podrobnosti scéna obsahovala žluté čáry, podobně jako drátový model, který byl tam při startu FlightGear do "normálního" režimu. Tyto problémy se zdají být pryč s FlightGear-2.4.0. Alespoň jsem si nevšiml, je už.

Gentoo cesta

Pro uživatele gentoo jsem vytvořil šablonu. Stejně jako předchozí vydání obsahuje opravy a modifikované ebuilds pro FlightGear s pracovní podporu quad vyrovnávací paměti. Můžete získat překrytí zde: FlightGear-2.4.0 překrývání (368) Stáhněte si šablonu a rozbalte ho do adresáře / usr / local / portage. Ujistěte se, že jsou následující řádek v souboru /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Pak se objeví FlightGear a užijte si to ve třech rozměrech.

Bavte se

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Nehodnoceno)
Loading ... Načítá se ...

stereoskopické mplayer-1.0_rc4_p20110322

Včera nové mplayer-1.0_rc4_p20110322 ebuild objevil v portage. V poště stereoskopické mplayer pracovat znovu část 2 I za předpokladu upravený patch pro stereoskopické podporu v mplayer-1.0_rc4_p20101114. Tato oprava stále pracuje s aktuální verzí. Pokud jej chcete použít, stačí stáhnout patch z tam a zkopírujte jej do:

/etc/portage/patches/media-video/mplayer-1.0_rc4_p20110322-r1/

poté se objeví MPlayer a hrát stereoskopické filmy s

mplayer -vo gl2: stereo some_movie_file.avi

Mithrandir

1 Star2 Stars3 Stars4 Stars5 Stars (Nehodnoceno)
Loading ... Načítá se ...

bino-1.0 ebuild pro Gentoo

Nedávno jsem psal o Bino , stereoskopické video přehrávač, který je použitelný se systémy Linux a také podporuje quad buffered stereo. Do té doby byla vydána první stabilní verze 1.0. Jeho hlavní rysy jsou:

  • Podpora 2D a stereoskopické 3D video v široké škále vstupních formátů a stereo rozložení.
  • Podpora mnoha 3D metody výstupu, včetně anaglyph brýle, brýle závěrky, Autostereoskopické displeje, 3D televizory a distribuovaných multi-zobrazovací zařízení, jako je například powerwalls nebo realita instalací virtuálních.

Gentoo cesta

Pro uživatele gentoo tady je můj překrytí včetně ebuild: Bino-1.0_overlay.tar.gz (589) Stáhněte si šablonu a rozbalte ho do adresáře / usr / local / portage. Ujistěte se, že jsou následující řádek v souboru /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Pak se objeví BINO a vychutnat prohlížení 3D filmů.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Nehodnoceno)
Loading ... Načítá se ...

info stránky

Trans Lator

English flagItalian flagKorean flagChinese (Simplified) flagChinese (Traditional) flagPortuguese flagGerman flagFrench flag
Spanish flagJapanese flagArabic flagRussian flagGreek flagDutch flagBulgarian flagCzech flag
Croatian flagDanish flagFinnish flagHindi flagPolish flagRomanian flagSwedish flagNorwegian flag
Catalan flagFilipino flagHebrew flagIndonesian flagLatvian flagLithuanian flagSerbian flagSlovak flag
Slovenian flagUkrainian flagVietnamese flag